I installed it for 10.10. Do an update and try again.


sudo apt-get update

Then try installing libjack-jackd2-0 by itself.


sudo apt-get install libjack-jackd2-0